%global _empty_manifest_terminate_build 0
Name:		python-cheroot
Version:	8.4.5
Release:	2
Summary:	Highly-optimized, pure-python HTTP server
License:	BSD
URL:		https://cheroot.cherrypy.org
Source0:	https://files.pythonhosted.org/packages/3f/23/de6ba5fa29eb896e4b5a8b93852129f90988dcf4d416c8153992aba031c2/cheroot-8.4.5.tar.gz
BuildArch:	noarch
Recommends:     %{name}-help = %{version}-%{release}

Requires:	python3-six
Requires:	python3-more-itertools
Requires:	python3-selectors2
Requires:	python3-sphinx
Requires:	python3-sphinx-tabs
Requires:	python3-docutils
Requires:	python3-alabaster
Requires:	python3-dateutil
Requires:	python3-sphinxcontrib-spelling
Requires:	python3-pytest
Requires:	python3-pytest-mock
Requires:	python3-pytest-sugar
Requires:	python3-pytest-testmon
Requires:	python3-pytest-watch
Requires:	python3-pytest-xdist
Requires:	python3-codecov
Requires:	python3-trustme
Requires:	python3-pyopenssl
Requires:	python3-requests-unixsocket
Requires:	python3-portend
Requires:	python3-requests-toolbelt
Requires:	python3-coverage
Requires:	python3-pytest-cov
Requires:	python3-urllib3
Requires:	python3-futures
Requires:	python3-coverage
Requires:	python3-pytest-cov
Requires:	python3-urllib3
Requires:	python3-colorama
Requires:	python3-pytest-forked
Requires:	python3-pytest-forked

%description
The test suite currently relies on pytest. It's being run via Travis CI.

%package -n python3-cheroot
Summary:	Highly-optimized, pure-python HTTP server
Provides:	python-cheroot
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_scm
%description -n python3-cheroot
The test suite currently relies on pytest. It's being run via Travis CI.

%package help
Summary:	Development documents and examples for cheroot
Provides:	python3-cheroot-doc
%description help
Documentation for cheroot

%prep
%autosetup -n cheroot-8.4.5
sed -i '/setuptools_scm_git_archive/d' setup.cfg

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-cheroot -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Jan 21 2021 lingsheng <lingsheng@huawei.com> - 8.4.5-2
- Modify buildrequires to fix build

* Fri Nov 13 2020 Python_Bot <Python_Bot@openeuler.org> - 8.4.5-1
- Package init 
